$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-20.2.243.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-20.2.243.msi'
  softwareName = 'Invantive Query Tool'
  checksum = '7EC9814497B9546EFFE31BFECD4D692BBE1A5D8DBA395CF6435AFBD08C469A5C'
  checksumType = 'sha256'
  checksum64 = '7EC9814497B9546EFFE31BFECD4D692BBE1A5D8DBA395CF6435AFBD08C469A5C'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-20.2.243-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
